View Issue Details

IDProjectCategoryView StatusLast Update
0002334Industrial-Craft²E-Net, cabling, storage/transformer blockspublic2018-04-10 20:53
ReporterMorpheus1101Assigned ToChocohead 
PriorityhighSeveritymajorReproducibilityN/A
Status resolvedResolutionno change required 
Product Version 
Target VersionFixed in VersionBuilds for MC 1.12.x 
Summary0002334: [1.12.2] Continued Console Spam of [ic2-poolthread-1/WARN] [ic2.EnergyNet]
DescriptionThe below lines and ones identical but another machine are continually spammed on the server console, this relates to https://github.com/aidancbrady/Mekanism/issues/4874 ive spoken to Thiakil and is unsure of the cause and believe it maybe something on IC2 side. All machines listed when it spams the message quite frequently, exist in the locations specified

Forge v*.2.2615
IC2 v2.8.54-112
Mekanism v9.4.3.330


[19:28:21] [ic2-poolthread-1/WARN] [ic2.EnergyNet]: Tile mekanism.common.tile.TileEntityQuantumEntangloporter@76110a89 (dim 0: 2601/84/-1074) removal without registration

[19:28:21] [ic2-poolthread-1/WARN] [ic2.EnergyNet]: Tile mekanism.common.tile.TileEntityQuantumEntangloporter@54e0f1e (dim 0: 2625/77/-1054) removal without registration
TagsNo tags attached.
Minecraft Version1.12.2

Activities

Tollainmear

2018-03-26 06:16

reporter   ~0005615

Should this problem be solved?
Has the same situation with mekanism.

Chocohead

2018-04-10 15:05

developer   ~0005639

It's the way Mekanism has implemented its E-net support, the spam is merely IC2 trying to correct for it. If you disable logGridUpdateIssues in the debug section of the config it won't log each incident, not that the actual issue will be changed/fixed.

Tollainmear

2018-04-10 15:13

reporter   ~0005640

what would it happend if we unable it to fix actual issue? like Eu lossing continued?

Chocohead

2018-04-10 15:44

developer   ~0005641

If the warning are just removal without registration then there'd likely be little obvious difference, as the machines would never have been drawing power in the first place. IC2 tries its very best to avoid problems from dodgy implementations, the biggest impact would be the slight slowdown on chunk load/unload from registration/removal loops running more than they have to.

Tollainmear

2018-04-10 15:47

reporter   ~0005642

Thanks for reply, best wished for you ;)

Morpheus1101

2018-04-10 20:53

reporter   ~0005643

ive discussed this with mekanism and they've implanted some things, but claim its on the end of IC2 ... so.....

Issue History

Date Modified Username Field Change
2018-03-01 00:44 Morpheus1101 New Issue
2018-03-26 06:16 Tollainmear Note Added: 0005615
2018-04-10 15:05 Chocohead Assigned To => Chocohead
2018-04-10 15:05 Chocohead Status new => closed
2018-04-10 15:05 Chocohead Resolution open => no change required
2018-04-10 15:05 Chocohead Fixed in Version => Builds for MC 1.12.x
2018-04-10 15:05 Chocohead Note Added: 0005639
2018-04-10 15:05 Chocohead Status closed => resolved
2018-04-10 15:13 Tollainmear Note Added: 0005640
2018-04-10 15:44 Chocohead Note Added: 0005641
2018-04-10 15:47 Tollainmear Note Added: 0005642
2018-04-10 20:53 Morpheus1101 Note Added: 0005643